<?php
include ("conexion.php");

$consfolio=$_GET['consfolio'];
$cons4="SELECT * FROM salida WHERE idSalida='$consfolio' and estado='Finalizada'";
$res4=mysql_query($cons4,$conex) or die ("No se consulto la existencia");
$existe=mysql_num_rows($res4);
if ($consfolio == '')
{
	?>
        <script>
			location.href="main.php?a=43&error=1";
	    </script>
          <?php
}

if ($existe == '0')
{
	?>
        <script>
			location.href="main.php?a=43&error=2";
	    </script>
     <?php
}

$idClinica=mysql_result($res4,0,'idClinica');
$idpaquete=mysql_result($res4,0,'idPaquete');
$fecha=mysql_result($res4,0,'fechaSalida');
$expediente=mysql_result($res4,0,'expedientePaciente');
$nombre=mysql_result($res4,0,'nombrePaciente');
$doctor=mysql_result($res4,0,'doctor');
$monto=mysql_result($res4,0,'montoTotal');
$materia=mysql_result($res4,0,'materia');
$idTratamiento=mysql_result($res4,0,'idTratamiento');

if ($idTratamiento==0)
{
$con2="SELECT nompaquete FROM paquetes WHERE idPaquete='$idpaquete'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'nompaquete');
}

if ($idpaquete==0)
{
$con2="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$idTratamiento'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'tratamientoCompleto');
}

//NOMBRE DE LAS CLINICAS ORIGEN Y DESTINO
$cons6="SELECT clinica FROM clinicas WHERE idClinica='$idClinica'";
$res6=mysql_query($cons6,$conex) or die ("No se obtubo el nombre de clinica origen");
$clinica=mysql_result($res6,0,'clinica');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Clinisys :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style>
<!--ARCHIVOS PARA LISTA EN TEXTEDIT -->
<script src="ajax.js" language="javascript"></script>
<script src="ajax-dynamic-list.js" type="text/javascript" ></script>
<script>
function validacanti(id)
{
	var restan=document.getElementById('quedan'+id).value;
	var cantidad=document.getElementById('entrega'+id).value;
	//alert("Si jalo"+id);
	if(restan < cantidad)
	{
		alert("¡La cantidad que tiene disponible es "+restan);
		return;
	}
}
</script>
<link href="ajaxestilosautocomplete.css" rel="stylesheet" type="text/css">
</head>
<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top04.jpg" width="800" height="40" /></td>
  </tr>
  <tr>
    <td><table width="790" border="0" align="center">
        <tr>
          <td height="375"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><div align="center" class="style77">DEVOLUCI&Oacute;N DE MATERIAL</div></td>
            </tr>
          </table>
          <table width="100%" border="0" align="center" cellspacing="0">
            <tr>
              <td width="23%"><hr /></td>
              <td width="54%" align="center"><p class="style7">No. Control del Ticket # <span class="style9"><?php echo $consfolio; ?>
              </span><br />
              <span class="style4">Listado de productos entregados</span></p>
                </td>
              <td width="23%"><hr /></td>
            </tr>
          </table>

            <div align="center">

              <p>

                <?php if (isset($_GET['error']))
      $error=$_GET['error'];
	  //@$prod=$_GET['prod'];
 {
if (isset ($error))
 {
			  $error=$_GET['error'];
			  //$prod=$_GET['prod'];
			  if($error==1)
			  {
			  echo "<p class='style3'>&iexcl;No se ha seleccionado ningun producto!.</p>";
			  }
			  if($error==2)
			  {
			  echo "<p class='style3'>&iexcl;El folio ingresado no existe, intente con otro!.</p>";
			  }
}
else
{
}
}
?>
              </p>
              </div>
<form action="ejecutardevolucion3.php" method="post">
            <div id="contenido">
              <?php

echo "<table border='0' align='center' cellpadding='2' class='tablaBordes'>";
echo "<tr class='tablaCabecera'>";
/*
echo "<td class='style4' align='center'>";

echo "Estado";

echo "</td>";
*/
echo "<td align='center'>";
echo " Id ";
echo "</td>";

echo "<td align='center'>";
echo "Nombre";
echo "</td>";

echo "<td align='center'>";
echo "Derecho a";
echo "</td>";

echo "<td align='center'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td align='center'>";
echo "Entregado";
echo "</td>";

echo "<td align='center'>";
echo "Disponible";
echo "</td>";

echo "<td>";
echo "Devolver";
echo "</td>";

echo "</tr>";

include ("conexion.php");

$conteo=0;

	$cons3="SELECT idProducto,cantidad,entregado FROM contenido_salida WHERE idSalida='$consfolio'";
	$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_salida");
	while($fila2 = mysql_fetch_array($res3))
	{		

			$query="SELECT clave,nombre,clasificacion,idPresentacion FROM productos Where clave='$fila2[0]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			while($fila = mysql_fetch_array($result))
			{
				if ($conteo==0)
				{
				echo "<tr>";
				}
				else
				{
				echo "<tr bgcolor='#F0F0F0'>";
				}

				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='".$fila['idPresentacion']."'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				echo "<td class='style1'>";
				echo $fila[0];
				echo "</td>";

				echo "<td class='style1'>";
				echo $fila[1];
				echo "</td>";
					
				//CANTIDAD
				echo "<td class='titulo' bgcolor='#999999'  align='center'>";
				echo $fila2[1];
				echo "</td>";

				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";

				//YA ENTREGADOS
				$entregado=0;
				$cons20="SELECT entregado FROM entregas_material WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res20=mysql_query($cons20,$conex) or die ("No consulto entregados");
				$filasent=mysql_num_rows($res20);
				
				if ($filasent==0)
				{
					$entregado=0;
				}
				else
				{
					while($entrega=mysql_fetch_row($res20))
					{
						$entregado=$entregado + $entrega[0];
					}
				}
				
				//CALCULO CUANTOS SE HAN ENTREGADO SUMANDO A LO ENTEGADO LO DEVUELTO
				$devoltotal=0;
				$cons21="SELECT cantidad FROM devolucionesmaterial WHERE clave='$fila[0]' and idSalida='$consfolio'";
				$res21=mysql_query($cons21,$conex) or die ("No consulto devueltos");
				$filasdev=mysql_num_rows($res21);
				
				if ($filasdev==0)
				{
					$devoltotal=0;
				}
				else
				{
					while($devueltos=mysql_fetch_row($res21))
					{
						$devoltotal=$devoltotal + $devueltos[0];
					}
				}
				
				$cantidadtotal=$entregado-$devoltotal;
				echo "<td class='style10' align='center'>";
				echo $cantidadtotal;
				echo "</td>";

				

				//DISPONIBLES

				$quedan=$fila2[1] - $entregado;

				echo "<td class='style10' align='center'>";

				echo $quedan;

				echo"<input name='quedan".$fila[0]."' type='hidden' class='cuadrotexto' id='quedan".$fila[0]."' size='1' value='$quedan'>";

				echo "</td>";

				//INPUT DE CUANTOS DEVUELVEN

				echo "<td class='style10' align='center' valign='center'>";

				echo "<input name='devuelto[]' type='text' class='cuadrotexto' autocomplete='off' value='$cantidadtotal' style='width:30px; text-align:right;'><input name='clave[]' type='hidden' class='cuadrotexto' id='clave[]' value='$fila[0]'>";

				echo "</td>";

				

				$conteo=$conteo + 1;

				if ($conteo==2)

				{$conteo=0;}

			}





echo "</tr>";



}

echo "</table>";
?>
              <input name="folio" type="hidden" id="folio" value="<?php echo $consfolio; ?>"/>
            </div>
            <br />
            <table align="center">
        <tr>
			<td align='center'>
			<input name='Enviar' type='submit' class='boton2' value='Ejecutar devoluci&oacute;n' />
			</td>
		</tr>
        </table>
         </form>   <br />
       <table width="700" border="0" align="center" cellpadding="0" cellspacing="5">



              <tr>



                <td width="14%"><div id="noimprimible">



                    <div align="right" class="style4"><strong>Paciente:</strong></div>



                </div></td>



                <td colspan="3" class="style9"><?php echo $nombre; ?></td>

              </tr>







              <tr>



                <td class="style4"><div id="noimprimible">



                    <div align="right"><strong>Fecha:</strong></div>



                </div></td>



                <td width="46%" class="style9"><?php echo $fecha; ?></td>



                <td width="12%"><div id="noimprimible">



                    <div align="right" class="style4"><strong>Expediente:</strong></div>



                </div></td>



                <td width="28%" class="style9"><?php echo $expediente; ?></td>

              </tr>



              <tr>



                <td><div id="noimprimible">



                    <div align="right" class="style4"><strong>Alumno:</strong></div>



                </div></td>



                <td colspan="3" class="style9"><?php echo $doctor; ?></td>

              </tr>



              <tr>



                <td class="style4"><div align="right">Materia:</div></td>



                <td colspan="3" class="style9"><?php echo $materia; ?></td>

              </tr>



              <tr>



                <td class="style4"><div align="right"><strong class="style4">Tratamiento:</strong></div></td>



                <td colspan="3" class="style9"><?php echo $concepto; ?></td>

              </tr>

            </table>

            <table width="64" border="0" align="center" cellspacing="10">

              <tr>

                <td width="42"  valign="top">

                      

                      <form id="form1" name="form1" method="post" action="main.php">

                      <input name="Submit2" type="submit" class="boton2" value="Volver a Inicio" >

                      </form>                  </td>



               <!-- <td width="109">

               <div align="center">

                     <input name="Submit"type="submit" class="boton2" value="Ejecutar salida de material">

                </div>

                </td>-->

              </tr>

            </table>            </td>

		</tr>



      </table>





    <table width="100%" border="0">
<tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
            </table></td>
        </tr>
    </table></td></tr>
</table>
</body>
</html>